Bug 1960686 - GlobalConfigPage is constantly requesting resources
Summary: GlobalConfigPage is constantly requesting resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.z
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1960683
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-14 15:09 UTC by Samuel Padgett
Modified: 2021-07-27 07:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixes an issue where the Administration -> Cluster Settings -> Global configuration page in the web console would make repeated, unnecessary HTTP requests for the configuration resources.
Clone Of: 1960683
Environment:
Version: 4.8.0-0.nightly-2021-05-13-222446 Cluster ID: cb9bc5ec-ad4e-462c-81bc-3fa903fcd3ae Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.212 Safari/537.36
Last Closed: 2021-06-15 09:28:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8935 0 None open Bug 1960686: Fix hot loop in global config page 2021-05-28 01:00:50 UTC
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:28:33 UTC

Description Samuel Padgett 2021-05-14 15:09:29 UTC
+++ This bug was initially created as a clone of Bug #1960683 +++

Description of problem:  The Cluster Settings > Global Config page is incessantly requesting resources.  Eventually, the constant stream of requests overwhelms the browser and the page becomes unresponsive.


Steps to Reproduce:
1.  Go to /settings/cluster/globalconfig
2.  Open the Inspector and go to the Network tab
3.  Note the constant stream of resource requests

Sam suspects this is the result of https://github.com/TheRealJon/console/blob/ecc0236c4b4c3665c4b42030e704b52a8e680509/frontend/public/components/cluster-settings/global-config.tsx#L63-L66 being different every time.

Comment 4 Yadan Pei 2021-06-08 03:45:25 UTC
Confirmed the fix was merged in 4.7.0-0.nightly-2021-06-07-203428, since testing has been done prior merging moving to VERIFIED

Comment 6 errata-xmlrpc 2021-06-15 09:28:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.